Subject: RE: New Version Notification for draft-ietf-6man-eh-limits-00.txt

From: Vasilenko Eduard <[email-masked]>
Date: Wed, 13 Apr 2022 16:38:17 +0000

Hi Tom,
I believe that you have forgotten to restrict the number of the same type EHs on the source (reminder: DO could be 2 times) in section 3.2.1.
I have not understood why you have restricted any option on 60bytes after you have restricted EH on 64bytes. The first restriction looks like a redundant check - it would happen automatically.

The same for section 3.2.2: both restrictions (60B and 64B) are not needed. One restriction is enough.
In general, I propose to search all instances of 60B restrictions and delete them. KISS.

Maybe it is better to request the possibility for configuration on the reaction for this (the choice for Admin, not for Vendor):
   *  If an intermediate node encounters an unknown Hop-by-Hop option
      and the two high order bits are not 00 then the node SHOULD
      immediately stop processing the option chain and ignore any
      options in the chain beyond the unknown option.  An intermediate
      node MAY either elect to discard the packet and MAY send an ICMP
      Parameter Problem per the requirements of [RFC8200]; or the
      intermediate node MAY forward the packet.

My general impression: the limits are so loose that it would not hurt to progress this draft to the RFC.
Albeit, I do not think it would help the Internet and I do not see any EH problem for the closed domain now.

Eduard
-----Original Message-----
From: ipv6 [mailto:[email-masked]] On Behalf Of Tom Herbert
Sent: Monday, January 31, 2022 11:15 PM
To: 6man <[email-masked]>
Subject: Fwd: New Version Notification for draft-ietf-6man-eh-limits-00.txt

Hello,

I have posted draft-ietf-6man-eh-limits-00. This renames
draft-herbert-6man-eh-limits-00 to be a WG draft and includes some clarifications and edits.

Tom

---------- Forwarded message ---------
From: <[email-masked]>
Date: Mon, Jan 31, 2022 at 12:11 PM
Subject: New Version Notification for draft-ietf-6man-eh-limits-00.txt
To: Tom Herbert <[email-masked]>

A new version of I-D, draft-ietf-6man-eh-limits-00.txt has been successfully submitted by Tom Herbert and posted to the IETF repository.

Name:           draft-ietf-6man-eh-limits
Revision:       00
Title:          Limits on Sending and Processing IPv6 Extension Headers
Document date:  2022-01-31
Group:          6man
Pages:          19
URL:            https://www.ietf.org/archive/id/draft-ietf-6man-eh-limits-00.txt
Status:         https://datatracker.ietf.org/doc/draft-ietf-6man-eh-limits/
Htmlized:       https://datatracker.ietf.org/doc/html/draft-ietf-6man-eh-limits

Abstract:
   This specification defines various limits that may be applied to
   receiving, sending, and otherwise processing packets that contain
   IPv6 extension headers.  The need for such limits is pragmatic to
   facilitate interoperability amongst hosts and routers in the presence
   of extension headers and thereby increasing the feasibility of
   deployment of extension headers.  The limits described here establish
   the minimum baseline of support for use of extension headers in the
   Internet.  If it is known that all communicating parties for a
   particular commumication, including end hosts and any intermediate
   nodes in the path, are capable of supporting more than the baseline
   then these default limits may be freely exceeded.

The IETF Secretariat

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------